#####
# VARIABLES
#####

# here for reference, as they are defined at group level
# variables:
# AWS_ACCESS_KEY_ID: ''
# AWS_SECRET_ACCESS_KEY: ''
# AWS_DEFAULT_REGION: ''
# CDN_BUCKET_NAME: 'justbytes-cdn'


#####
# JOB
#####

s3-plan:
  stage: 's3-plan'
  rules:
    - if: '$CI_COMMIT_TAG'
    - if: '$CI_COMMIT_BRANCH == "cicd"'
  image: 
    name: 'amazon/aws-cli'
    entrypoint: [""]
  tags:
    - 'gitlab-org'
  script:
    - 'aws --version'
    - |
      if [[ -z "$CI_COMMIT_TAG" ]]
      then
        export CI_COMMIT_TAG="test"
      fi
    - 'echo "files to upload: module/justbytes.js and module/justbytes-$CI_COMMIT_TAG.js"'
    - 'echo "Files already inside the js cdn bucket:"'
    - 'aws s3 ls s3://$CDN_BUCKET_NAME --recursive'
